summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBob Proulx <bob@proulx.com>2017-01-11 23:45:55 (GMT)
committerBob Proulx <bob@proulx.com>2017-01-11 23:45:55 (GMT)
commit78ce044eb57e18ffb654053b6f12a1e71ead7ccc (patch)
tree4be41de4b565e9cae4270189585187a65e01685f
parente6cc403d577ba65b643435d8e4e2b1730eb72818 (diff)
downloadsavannah-tests-78ce044eb57e18ffb654053b6f12a1e71ead7ccc.zip
savannah-tests-78ce044eb57e18ffb654053b6f12a1e71ead7ccc.tar.gz
savannah-tests-78ce044eb57e18ffb654053b6f12a1e71ead7ccc.tar.bz2
Stop bashing dash's trap handling.
-rwxr-xr-xtest/bzr-bzr2
-rwxr-xr-xtest/bzr-rsync2
-rwxr-xr-xtest/bzr-ssh2
-rwxr-xr-xtest/bzr-web2
-rwxr-xr-xtest/cvs-pserver2
-rwxr-xr-xtest/cvs-rsync2
-rwxr-xr-xtest/cvs-ssh2
-rwxr-xr-xtest/cvs-web2
-rwxr-xr-xtest/git-git2
-rwxr-xr-xtest/git-http2
-rwxr-xr-xtest/git-https2
-rwxr-xr-xtest/git-rsync2
-rwxr-xr-xtest/git-ssh2
-rwxr-xr-xtest/git-web2
-rwxr-xr-xtest/svn-http2
-rwxr-xr-xtest/svn-https2
-rwxr-xr-xtest/svn-rsync2
-rwxr-xr-xtest/svn-ssh2
-rwxr-xr-xtest/svn-svn2
-rwxr-xr-xtest/svn-web2
20 files changed, 0 insertions, 40 deletions
diff --git a/test/bzr-bzr b/test/bzr-bzr
index 9609a15..9488007 100755
--- a/test/bzr-bzr
+++ b/test/bzr-bzr
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/bzr-rsync b/test/bzr-rsync
index 2ba7627..c7f67fe 100755
--- a/test/bzr-rsync
+++ b/test/bzr-rsync
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/bzr-ssh b/test/bzr-ssh
index b2025f6..e298195 100755
--- a/test/bzr-ssh
+++ b/test/bzr-ssh
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/bzr-web b/test/bzr-web
index e73442b..0563d21 100755
--- a/test/bzr-web
+++ b/test/bzr-web
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/cvs-pserver b/test/cvs-pserver
index f10b898..17748d9 100755
--- a/test/cvs-pserver
+++ b/test/cvs-pserver
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/cvs-rsync b/test/cvs-rsync
index 16bb36a..c16393e 100755
--- a/test/cvs-rsync
+++ b/test/cvs-rsync
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/cvs-ssh b/test/cvs-ssh
index e79517f..7936bec 100755
--- a/test/cvs-ssh
+++ b/test/cvs-ssh
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/cvs-web b/test/cvs-web
index ae4aea0..94e62a4 100755
--- a/test/cvs-web
+++ b/test/cvs-web
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/git-git b/test/git-git
index 5eb9a50..8b98137 100755
--- a/test/git-git
+++ b/test/git-git
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/git-http b/test/git-http
index 6715264..b9007bd 100755
--- a/test/git-http
+++ b/test/git-http
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/git-https b/test/git-https
index c2bc660..75376a0 100755
--- a/test/git-https
+++ b/test/git-https
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/git-rsync b/test/git-rsync
index 77ccf8c..6cde759 100755
--- a/test/git-rsync
+++ b/test/git-rsync
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/git-ssh b/test/git-ssh
index c3ec920..1bad624 100755
--- a/test/git-ssh
+++ b/test/git-ssh
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/git-web b/test/git-web
index b538c37..e3af085 100755
--- a/test/git-web
+++ b/test/git-web
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/svn-http b/test/svn-http
index 0084386..6f95bb6 100755
--- a/test/svn-http
+++ b/test/svn-http
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/svn-https b/test/svn-https
index 405d47f..ada3689 100755
--- a/test/svn-https
+++ b/test/svn-https
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/svn-rsync b/test/svn-rsync
index 7e4600f..77efc38 100755
--- a/test/svn-rsync
+++ b/test/svn-rsync
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/svn-ssh b/test/svn-ssh
index c3be9e1..43e3863 100755
--- a/test/svn-ssh
+++ b/test/svn-ssh
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/svn-svn b/test/svn-svn
index 8fd171c..4ae3ecc 100755
--- a/test/svn-svn
+++ b/test/svn-svn
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1
diff --git a/test/svn-web b/test/svn-web
index d212483..c49c928 100755
--- a/test/svn-web
+++ b/test/svn-web
@@ -11,12 +11,10 @@ cleanup() {
test -n "$tmpdir" && rm -rf "$tmpdir" && unset tmpdir
}
trap "cleanup" EXIT
-# Begin dash specific trap handling.
trap "cleanup; trap - HUP; kill -HUP $$" HUP
trap "cleanup; trap - INT; kill -INT $$" INT
trap "cleanup; trap - QUIT; kill -QUIT $$" QUIT
trap "cleanup; trap - TERM; kill -TERM $$" TERM
-# End dash specific trap handling.
tmpdir=$(mktemp -d -t "sv-test.XXXXXXXX") || exit 1